=== debian/changelog ===
serd (0~svn155-1) unstable; urgency=low

  * New upstream release:
    - Re-licensed under ISC license terms, update debian/copyright.
  * Move from libserd0 to libserd-0-0.
  * Add patch to fix snprintf overflow (Closes: #624775).
  * Refresh 1001-dont_run_ldconfig.patch.
  * debian/rules: Explicitly pass --mandir to configure.
  * debian/get-svn-source.sh
    - Abort on errors.
    - Append upstream versioning to the directory's name.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 May 2011 13:57:33 +0200

serd (0~svn128-1) unstable; urgency=low

  * Initial release. (Closes: #619429)

 -- Alessio Treglia <alessio@debian.org>  Wed, 23 Mar 2011 20:45:10 +0100
