## serd 0.4.0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SERD_VERSION       = '0.2.0'
+SERD_VERSION       = '0.4.0'
 SERD_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -37,8 +37,8 @@
                     help="Include runtime stack sanity checks")
 
 def configure(conf):
-    conf.line_just = max(conf.line_just, 59)
     autowaf.configure(conf)
+    conf.line_just = 13
     autowaf.display_header('Serd Configuration')
 
     conf.load('compiler_cc')
@@ -53,10 +53,10 @@
     autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
     conf.write_config_header('serd-config.h', remove=False)
 
-    conf.env['SERD_CFLAGS'] = '-I%s/serd-%s' % (
-        conf.env['INCLUDEDIR'], SERD_MAJOR_VERSION);
-    conf.env['SERD_LIBS'] = '-L%s -lserd-%s' % (
-        conf.env['LIBDIR'], SERD_MAJOR_VERSION);
+    conf.env['INCLUDES_SERD'] = ['%s/serd-%s' % (
+        conf.env['INCLUDEDIR'], SERD_MAJOR_VERSION)]
+    conf.env['LIBPATH_SERD'] = [conf.env['LIBDIR']]
+    conf.env['LIB_SERD'] = ['serd-%s' % SERD_MAJOR_VERSION];
 
     autowaf.display_msg(conf, "Utilities", str(conf.env['BUILD_UTILS']))
     autowaf.display_msg(conf, "Unit tests", str(conf.env['BUILD_TESTS']))
@@ -69,9 +69,7 @@
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'SERD', SERD_VERSION, SERD_MAJOR_VERSION, [],
-                     {'SERD_CFLAGS'        : bld.env['SERD_CFLAGS'],
-                      'SERD_LIBS'          : bld.env['SERD_LIBS'],
-                      'SERD_MAJOR_VERSION' : SERD_MAJOR_VERSION})
+                     {'SERD_MAJOR_VERSION' : SERD_MAJOR_VERSION})
 
     lib_source = '''
             src/env.c
@@ -128,9 +126,11 @@
     bld.install_files('${MANDIR}/man1', 'doc/serdi.1')
 
     bld.add_post_fun(autowaf.run_ldconfig)
+    if bld.env['DOCS']:
+        bld.add_post_fun(fix_docs)
 
 def lint(ctx):
-    subprocess.call('cpplint.py --filter=-whitespace,+whitespace/comments,-build/header_guard,-readability/casting,-readability/todo src/* serd/*', shell=True)
+    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)
 
 def amalgamate(ctx):
     shutil.copy('serd/serd.h', 'build/serd-%s.h' % SERD_VERSION)
@@ -161,17 +161,21 @@
 
 def fix_docs(ctx):
     try:
+        top = os.getcwd()
         os.chdir('build/doc/html')
         os.system("sed -i 's/SERD_API //' group__serd.html")
         os.system("sed -i 's/SERD_DEPRECATED //' group__serd.html")
         os.remove('index.html')
         os.symlink('group__serd.html',
                    'index.html')
+        os.chdir(top)
+        os.chdir('build/doc/man/man3')
+        os.system("sed -i 's/SERD_API //' serd.3")
     except Exception, e:
         Logs.error("Failed to fix up Doxygen documentation (%s)\n" % e)
 
 def upload_docs(ctx):
-    os.system("rsync -avz --delete -e ssh build/doc/html/* drobilla@drobilla.net:~/drobilla.net/docs/serd")
+    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/serd/")
 
 def test(ctx):
     blddir = ""
@@ -209,6 +213,7 @@
             './serdi_static file://%s/tests/manifest.ttl > /dev/null' % srcdir,
             './serdi_static %s/tests/UTF-8.ttl > /dev/null' % srcdir,
             './serdi_static -v > /dev/null',
+            './serdi_static -h > /dev/null',
             './serdi_static -s "<foo> a <#Thingie> ." > /dev/null',
             './serdi_static /dev/null > /dev/null'],
                       0, name='serdi-cmd-good')
@@ -216,9 +221,14 @@
     autowaf.run_tests(ctx, APPNAME, [
             './serdi_static > /dev/null',
             './serdi_static ftp://example.org/unsupported.ttl > /dev/null',
+            './serdi_static -i > /dev/null',
             './serdi_static -o > /dev/null',
             './serdi_static -z > /dev/null',
+            './serdi_static -p > /dev/null',
+            './serdi_static -c > /dev/null',
+            './serdi_static -i illegal > /dev/null',
             './serdi_static -o illegal > /dev/null',
+            './serdi_static -i turtle > /dev/null',
             './serdi_static /no/such/file > /dev/null'],
                       1, name='serdi-cmd-bad')
 
@@ -247,18 +257,21 @@
 
     autowaf.run_tests(ctx, APPNAME, commands, 1, name='bad')
 
+    thru_tests = good_tests
+    thru_tests.remove('tests/test-id.ttl') # IDs are mapped so files won't be identical
+
     commands = []
-    for test in good_tests:
+    for test in thru_tests:
         base_uri = 'http://www.w3.org/2001/sw/DataAccess/df1/' + test
         out_filename = test + '.thru'
         commands += [
-                '%s -o turtle %s/%s \'%s\' | %s - \'%s\' > %s.thru' % (
-                        './serdi_static', srcdir, test, base_uri,
-                        './serdi_static', base_uri, test) ]
-
+            '%s -o turtle -p foo %s/%s \'%s\' | %s -i turtle -c foo - \'%s\' | sed \'s/_:docid/_:genid/g\' > %s.thru' % (
+                './serdi_static', srcdir, test, base_uri,
+                './serdi_static', base_uri, test) ]
+        
     autowaf.run_tests(ctx, APPNAME, commands, 0, name='turtle-round-trip')
     Logs.pprint('BOLD', '\nVerifying ntriples => turtle => ntriples')
-    for test in good_tests:
+    for test in thru_tests:
         out_filename = test + '.thru'
         if not os.access(out_filename, os.F_OK):
             Logs.pprint('RED', 'FAIL: %s output is missing' % test)
