=== debian/changelog ===
serd (0.4.0-1) unstable; urgency=low

  * First upstream stable release.
  * Delete 0001-write_text_escape_buf_overflow.patch, applied upstream.
  * Refresh patches.
  * Update symbols file.
  * debian/copyright: Update format spec.
  * Add watch file.
  * Drop unneeded get-svn-source.sh.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 00:07:31 +0200
