=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,3 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=serd-dbg
-
-get-orig-source:
-	debian/get-svn-source.sh
