## serd 0.4.2

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SERD_VERSION       = '0.4.0'
+SERD_VERSION       = '0.4.2'
 SERD_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -53,8 +53,8 @@
     autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
     conf.write_config_header('serd-config.h', remove=False)
 
-    conf.env['INCLUDES_SERD'] = ['%s/serd-%s' % (
-        conf.env['INCLUDEDIR'], SERD_MAJOR_VERSION)]
+    conf.env['INCLUDES_SERD'] = ['%s/serd-%s' % (conf.env['INCLUDEDIR'],
+                                                 SERD_MAJOR_VERSION)]
     conf.env['LIBPATH_SERD'] = [conf.env['LIBDIR']]
     conf.env['LIB_SERD'] = ['serd-%s' % SERD_MAJOR_VERSION];
 
@@ -159,38 +159,39 @@
 
     amalgamation.close()
 
+def build_dir(ctx, subdir):
+    if autowaf.is_child():
+        return os.path.join('build', APPNAME, subdir)
+    else:
+        return os.path.join('build', subdir)
+    
 def fix_docs(ctx):
     try:
         top = os.getcwd()
-        os.chdir('build/doc/html')
+        os.chdir(build_dir(ctx, 'doc/html'))
         os.system("sed -i 's/SERD_API //' group__serd.html")
         os.system("sed -i 's/SERD_DEPRECATED //' group__serd.html")
         os.remove('index.html')
         os.symlink('group__serd.html',
                    'index.html')
         os.chdir(top)
-        os.chdir('build/doc/man/man3')
+        os.chdir(build_dir(ctx, 'doc/man/man3'))
         os.system("sed -i 's/SERD_API //' serd.3")
-    except Exception, e:
-        Logs.error("Failed to fix up Doxygen documentation (%s)\n" % e)
+        os.chdir(top)
+    except:
+        Logs.error("Failed to fix up %s documentation" % APPNAME)
 
 def upload_docs(ctx):
     os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/serd/")
 
 def test(ctx):
-    blddir = ""
-    top_level = (len(ctx.stack_path) > 1)
-    if top_level:
-        blddir = 'build/serd/tests'
-    else:
-        blddir = 'build/tests'
-
+    blddir = build_dir(ctx, 'tests')
     try:
         os.makedirs(blddir)
     except:
         pass
 
-    for i in glob.glob('build/tests/*.*'):
+    for i in glob.glob(blddir + '/*.*'):
         os.remove(i)
 
     srcdir   = ctx.path.abspath()
