=== debian/changelog ===
serd (0.4.2-1) unstable; urgency=low

  * New upstream bugfix release:
    - Fix compilation issues on some systems.
    - Fix build system Python 3 compatibility.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 09:57:25 +0200
