=== debian/watch ===
version=3
http://download.drobilla.net/serd-(.*)\.tar\.bz2
