## serd 0.5.0

=== debian/changelog ===
serd (0.5.0-1) unstable; urgency=low

  * New upstream release:
    - Fix pretty printing of successive blank descriptions, i.e. "] , ["
    - Avoid writing illegal Turtle names as a result of URI qualifying
    - Gracefully handle NULL reader sinks
    - Add serd_strerror
    - Add serd_env_set_prefix_from_strings for convenience
    - Fix erroneously equal SERD_ERR_BAD_SYNTAX and SERD_ERR_BAD_ARG
    - Add ability to build static library
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 02 Oct 2011 10:35:47 +0200

serd (0.4.2-2) unstable; urgency=low

  * Sources are now taken from download.drobilla.net.
  * Add doxygen,graphviz to Build-Depends-Indep.
  * Add documentation package.
  * Add libserd-doc to libserd-dev's Suggests field.
  * Enable strict flag.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 May 2011 15:57:32 +0200
