=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50~),
  pkg-config,
  python
+Build-Depends-Indep: doxygen,
+ graphviz
 Standards-Version: 3.9.2
 Homepage: http://drobilla.net/software/serd/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/serd.git
@@ -18,6 +20,7 @@
  libserd-0-0 (<< ${source:Upstream-Version}+1~),
  ${misc:Depends}
 Recommends: pkg-config
+Suggests: libserd-doc
 Description: lightweight RDF syntax library - development files
  Serd is a lightweight C library for RDF syntax which supports reading
  and writing Turtle and NTriples.
@@ -67,6 +70,17 @@
  .
  This package provides the utility 'serdi'.
 
+Package: libserd-doc
+Section: doc
+Architecture: all
+Enhances: libserd-dev
+Depends: ${misc:Depends}
+Description: lightweight RDF syntax library - documentation
+ Serd is a lightweight C library for RDF syntax which supports reading
+ and writing Turtle and NTriples.
+ .
+ This package provides the developer's reference for serd.
+
 Package: serd-dbg
 Architecture: any
 Priority: extra
