=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
+
+ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
+CONFIGURE_EXTRA_FLAGS += --docs
+endif
 
 %:
 	dh $@
@@ -10,7 +14,9 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-		--debug
+		--strict \
+		--debug \
+		$(CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_build:
 	$(WAF)
