## serd 0.5.0+dfsg0

=== wscript ===
--- 
+++ 
@@ -4,12 +4,13 @@
 import os
 import shutil
 import subprocess
+import sys
 
 from waflib.extras import autowaf as autowaf
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SERD_VERSION       = '0.4.2'
+SERD_VERSION       = '0.5.0'
 SERD_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -28,24 +29,27 @@
 out = 'build'
 
 def options(opt):
+    opt.load('compiler_c')
     autowaf.set_options(opt)
     opt.add_option('--no-utils', action='store_true', default=False, dest='no_utils',
-                    help="Do not build command line utilities")
+                   help="Do not build command line utilities")
     opt.add_option('--test', action='store_true', default=False, dest='build_tests',
-                    help="Build unit tests")
+                   help="Build unit tests")
     opt.add_option('--stack-check', action='store_true', default=False, dest='stack_check',
-                    help="Include runtime stack sanity checks")
+                   help="Include runtime stack sanity checks")
+    opt.add_option('--static', action='store_true', default=False, dest='static',
+                   help="Build static library")
 
 def configure(conf):
+    conf.load('compiler_c')
     autowaf.configure(conf)
-    conf.line_just = 13
     autowaf.display_header('Serd Configuration')
 
-    conf.load('compiler_cc')
-    conf.env.append_value('CFLAGS', '-std=c99')
+    conf.env.append_unique('CFLAGS', '-std=c99')
 
     conf.env['BUILD_TESTS'] = Options.options.build_tests
     conf.env['BUILD_UTILS'] = not Options.options.no_utils
+    conf.env['BUILD_STATIC'] = Options.options.static
 
     if Options.options.stack_check:
         autowaf.define(conf, 'SERD_STACK_CHECK', SERD_VERSION)
@@ -73,51 +77,70 @@
 
     lib_source = '''
             src/env.c
+            src/error.c
             src/node.c
             src/reader.c
             src/uri.c
             src/writer.c
     '''
 
-    # Library
-    obj = bld(features = 'c cshlib')
-    obj.export_includes = ['.']
-    obj.source          = lib_source
-    obj.includes        = ['.', './src']
-    obj.name            = 'libserd'
-    obj.target          = 'serd-%s' % SERD_MAJOR_VERSION
-    obj.vnum            = SERD_LIB_VERSION
-    obj.install_path    = '${LIBDIR}'
-    obj.cflags          = [ '-fvisibility=hidden', '-DSERD_SHARED', '-DSERD_INTERNAL' ]
+    libflags = [ '-fvisibility=hidden' ]
+    if sys.platform == 'win32':
+        libflags = []
+
+    # Shared Library
+    obj = bld(features        = 'c cshlib',
+              export_includes = ['.'],
+              source          = lib_source,
+              includes        = ['.', './src'],
+              name            = 'libserd',
+              target          = 'serd-%s' % SERD_MAJOR_VERSION,
+              vnum            = SERD_LIB_VERSION,
+              install_path    = '${LIBDIR}',
+              cflags          = libflags + [ '-DSERD_SHARED',
+                                             '-DSERD_INTERNAL' ])
+
+    # Static library
+    if bld.env['BUILD_STATIC']:
+        obj = bld(features        = 'c cstlib',
+                  export_includes = ['.'],
+                  source          = lib_source,
+                  includes        = ['.', './src'],
+                  name            = 'libserd_static',
+                  target          = 'serd-%s' % SERD_MAJOR_VERSION,
+                  vnum            = SERD_LIB_VERSION,
+                  install_path    = '${LIBDIR}',
+                  cflags          = [ '-DSERD_INTERNAL' ])
 
     if bld.env['BUILD_TESTS']:
         # Static library (for unit test code coverage)
-        obj = bld(features = 'c cstlib')
-        obj.source       = lib_source
-        obj.includes     = ['.', './src']
-        obj.name         = 'libserd_static'
-        obj.target       = 'serd_static'
-        obj.install_path = ''
-        obj.cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ]
+        obj = bld(features     = 'c cstlib',
+                  source       = lib_source,
+                  includes     = ['.', './src'],
+                  name         = 'libserd_profiled',
+                  target       = 'serd_profiled',
+                  install_path = '',
+                  cflags       = [ '-fprofile-arcs', '-ftest-coverage',
+                                   '-DSERD_INTERNAL' ])
 
         # Unit test program
-        obj = bld(features = 'c cprogram')
-        obj.source       = 'src/serdi.c'
-        obj.includes     = ['.', './src']
-        obj.use          = 'libserd_static'
-        obj.linkflags    = '-lgcov'
-        obj.target       = 'serdi_static'
-        obj.install_path = ''
-        obj.cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ]
+        obj = bld(features     = 'c cprogram',
+                  source       = 'src/serdi.c',
+                  includes     = ['.', './src'],
+                  use          = 'libserd_profiled',
+                  linkflags    = '-lgcov',
+                  target       = 'serdi_static',
+                  install_path = '',
+                  cflags       = [ '-fprofile-arcs',  '-ftest-coverage' ])
 
     # Utilities
     if bld.env['BUILD_UTILS']:
-        obj = bld(features = 'c cprogram')
-        obj.source       = 'src/serdi.c'
-        obj.includes     = ['.', './src']
-        obj.use          = 'libserd'
-        obj.target       = 'serdi'
-        obj.install_path = '${BINDIR}'
+        obj = bld(features     = 'c cprogram',
+                  source       = 'src/serdi.c',
+                  includes     = ['.', './src'],
+                  use          = 'libserd',
+                  target       = 'serdi',
+                  install_path = '${BINDIR}')
 
     # Documentation
     autowaf.build_dox(bld, 'SERD', SERD_VERSION, top, out)
@@ -164,7 +187,7 @@
         return os.path.join('build', APPNAME, subdir)
     else:
         return os.path.join('build', subdir)
-    
+
 def fix_docs(ctx):
     try:
         top = os.getcwd()
@@ -209,34 +232,36 @@
 
     autowaf.pre_test(ctx, APPNAME)
 
+    os.environ['PATH'] = '.' + os.pathsep + os.getenv('PATH')
+    nul = os.devnull
     autowaf.run_tests(ctx, APPNAME, [
-            './serdi_static file:%s/tests/manifest.ttl > /dev/null' % srcdir,
-            './serdi_static file://%s/tests/manifest.ttl > /dev/null' % srcdir,
-            './serdi_static %s/tests/UTF-8.ttl > /dev/null' % srcdir,
-            './serdi_static -v > /dev/null',
-            './serdi_static -h > /dev/null',
-            './serdi_static -s "<foo> a <#Thingie> ." > /dev/null',
-            './serdi_static /dev/null > /dev/null'],
+            'serdi_static file:%s/tests/manifest.ttl > %s' % (srcdir, nul),
+            'serdi_static file://%s/tests/manifest.ttl > %s' % (srcdir, nul),
+            'serdi_static %s/tests/UTF-8.ttl > %s' % (srcdir, nul),
+            'serdi_static -v > %s' % nul,
+            'serdi_static -h > %s' % nul,
+            'serdi_static -s "<foo> a <#Thingie> ." > %s' % nul,
+            'serdi_static %s > %s' % (nul, nul)],
                       0, name='serdi-cmd-good')
 
     autowaf.run_tests(ctx, APPNAME, [
-            './serdi_static > /dev/null',
-            './serdi_static ftp://example.org/unsupported.ttl > /dev/null',
-            './serdi_static -i > /dev/null',
-            './serdi_static -o > /dev/null',
-            './serdi_static -z > /dev/null',
-            './serdi_static -p > /dev/null',
-            './serdi_static -c > /dev/null',
-            './serdi_static -i illegal > /dev/null',
-            './serdi_static -o illegal > /dev/null',
-            './serdi_static -i turtle > /dev/null',
-            './serdi_static /no/such/file > /dev/null'],
+            'serdi_static > %s' % nul,
+            'serdi_static ftp://example.org/unsupported.ttl > %s' % nul,
+            'serdi_static -i > %s' % nul,
+            'serdi_static -o > %s' % nul,
+            'serdi_static -z > %s' % nul,
+            'serdi_static -p > %s' % nul,
+            'serdi_static -c > %s' % nul,
+            'serdi_static -i illegal > %s' % nul,
+            'serdi_static -o illegal > %s' % nul,
+            'serdi_static -i turtle > %s' % nul,
+            'serdi_static /no/such/file > %s' % nul],
                       1, name='serdi-cmd-bad')
 
     commands = []
     for test in good_tests:
         base_uri = 'http://www.w3.org/2001/sw/DataAccess/df1/' + test
-        commands += [ './serdi_static %s/%s \'%s\' > %s.out' % (srcdir, test, base_uri, test) ]
+        commands += [ 'serdi_static %s/%s \'%s\' > %s.out' % (srcdir, test, base_uri, test) ]
 
     autowaf.run_tests(ctx, APPNAME, commands, 0, name='good')
 
@@ -254,7 +279,7 @@
 
     commands = []
     for test in bad_tests:
-        commands += [ './serdi_static %s/%s \'http://www.w3.org/2001/sw/DataAccess/df1/%s\' > %s.out' % (srcdir, test, test, test) ]
+        commands += [ 'serdi_static %s/%s \'http://www.w3.org/2001/sw/DataAccess/df1/%s\' > %s.out' % (srcdir, test, test, test) ]
 
     autowaf.run_tests(ctx, APPNAME, commands, 1, name='bad')
 
@@ -267,9 +292,9 @@
         out_filename = test + '.thru'
         commands += [
             '%s -o turtle -p foo %s/%s \'%s\' | %s -i turtle -c foo - \'%s\' | sed \'s/_:docid/_:genid/g\' > %s.thru' % (
-                './serdi_static', srcdir, test, base_uri,
-                './serdi_static', base_uri, test) ]
-        
+                'serdi_static', srcdir, test, base_uri,
+                'serdi_static', base_uri, test) ]
+
     autowaf.run_tests(ctx, APPNAME, commands, 0, name='turtle-round-trip')
     Logs.pprint('BOLD', '\nVerifying ntriples => turtle => ntriples')
     for test in thru_tests:
