=== debian/changelog ===
serd (0.5.0+dfsg0-2) unstable; urgency=low

  * Build with MultiArch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 09:36:42 +0100

serd (0.5.0+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of waf blob (Closes: #654501).
  * Adjust the clean target to properly clean the sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 01:23:34 +0100
