=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.3~),
  pkg-config,
  python
 Build-Depends-Indep: doxygen,
@@ -15,9 +15,10 @@
 
 Package: libserd-dev
 Section: libdevel
-Architecture: all
-Depends: libserd-0-0 (>= ${source:Version}),
- libserd-0-0 (<< ${source:Upstream-Version}+1~),
+Architecture: any
+Multi-Arch: same
+Depends:
+ libserd-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Recommends: pkg-config
 Suggests: libserd-doc
@@ -29,6 +30,8 @@
 
 Package: libserd-0-0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Suggests: serdi
@@ -83,6 +86,7 @@
 
 Package: serd-dbg
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Section: debug
 Depends: serdi (= ${binary:Version}),
