=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
 
@@ -14,6 +15,7 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--strict \
 		--debug \
 		$(CONFIGURE_EXTRA_FLAGS)
@@ -22,8 +24,9 @@
 	$(WAF)
 
 override_dh_auto_clean:
-	$(WAF) distclean
-	rm -rf build .waf* get-orig-source
+	$(WAF) clean || true
+	find -name "*.pyc" -delete
+	rm -rf build .waf*
 	dh_auto_clean
 
 override_dh_auto_install:
